Skip to main content
GET
/
{alias}
/
checkout
/
payments
/
{paymentId}
/
config
Listar configurações de pagamento
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
import requests

url = "https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config"

headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};

fetch('https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "payment_id": 123,
  "affiliation_id": 123,
  "active": true,
  "default_display": true,
  "id": 123,
  "spread": true,
  "ignore_promotions": true,
  "accumulate_discount": true,
  "percent_discount": 123,
  "min_installment_value": 123,
  "max_installments_without_tax": 123,
  "billet_expire_days": 123,
  "days_to_cancel_unpaid_billets": 123,
  "hours_to_cancel_unpaid_pix": 123,
  "hours_to_expire_pix_code": 123,
  "billet_instructions": "<string>",
  "installments": {
    "data": [
      {
        "id": 1,
        "payment_id": 2,
        "installment": 1,
        "tax": 1.5,
        "percent_discount": 0,
        "start_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        },
        "end_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        },
        "created_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        },
        "updated_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        }
      }
    ]
  },
  "affiliation": {
    "data": {
      "id": 123,
      "active": true,
      "backup": true,
      "name": "Cielo Affiliation",
      "statement_descriptor": "<string>",
      "auto_capture": true,
      "has_payment_config": false,
      "capture_hour_delay": 123,
      "force_minimum_tax": true,
      "status": "<string>",
      "auth_type": "<string>",
      "gateway": {
        "data": [
          {
            "alias": "billet",
            "name": "Boleto Bancário",
            "icon_url": "<string>",
            "allow_backup": true,
            "allow_edit_pix_code_expiration_time": true,
            "installments_config": {
              "allow_custom_installments": true,
              "message": "<string>",
              "help_link": "<string>"
            },
            "auth_type": "Boleto Bancário",
            "gateway_exists": true,
            "params": {
              "data": [
                [
                  "env",
                  "merchant_id",
                  "key"
                ]
              ]
            }
          }
        ]
      }
    }
  },
  "payment": {
    "data": {
      "id": 123,
      "alias": "<string>",
      "name": "<string>",
      "has_config": true,
      "active_config": true,
      "is_credit_card": true,
      "is_deposit": true,
      "is_billet": true,
      "is_pix": true,
      "is_pix_in_installments": true,
      "is_wallet": true,
      "icon_url": "<string>"
    }
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

paymentId
integer
required

ID da forma de pagamento

Response

Detalhes das configurações de pagamento

payment_id
integer
required
affiliation_id
integer
required
active
boolean
required
default_display
boolean
required
id
integer
spread
boolean
ignore_promotions
boolean
accumulate_discount
boolean
percent_discount
number<float>
min_installment_value
number<float>
max_installments_without_tax
integer
billet_expire_days
integer
days_to_cancel_unpaid_billets
integer
hours_to_cancel_unpaid_pix
integer
hours_to_expire_pix_code
number
billet_instructions
string
installments
object
affiliation
object
payment
object
created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only